Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisEncoderRequest_::ZydisEncoderRequestMvexFeatures_ Struct Reference

Extended info for MVEX instructions. More...

`#include <Encoder.h>`

## Data Fields
ZydisBroadcastMode | broadcast
| The broadcast-mode.
ZydisConversionMode | conversion
| The data-conversion mode.
ZydisRoundingMode | rounding
| The rounding-mode.
ZydisSwizzleMode | swizzle
| The AVX register-swizzle mode.
ZyanBool | sae
| Signals, if the SAE (suppress-all-exceptions) functionality is enabled for the instruction.
ZyanBool | eviction_hint
| Signals, if the instruction has a memory-eviction-hint (KNC only).

## Detailed Description

Extended info for MVEX instructions.

## Field Documentation

## ◆ broadcast

ZydisBroadcastMode broadcast

The broadcast-mode.

## ◆ conversion

ZydisConversionMode conversion

The data-conversion mode.

## ◆ eviction_hint

ZyanBool eviction_hint

Signals, if the instruction has a memory-eviction-hint (KNC only).

## ◆ rounding

ZydisRoundingMode rounding

The rounding-mode.

## ◆ sae

ZyanBool sae

Signals, if the SAE (suppress-all-exceptions) functionality is enabled for the instruction.

## ◆ swizzle

ZydisSwizzleMode swizzle

The AVX register-swizzle mode.

The documentation for this struct was generated from the following file:

- include/Zydis/Encoder.h